From a534b962416df1ed7a625f117f898ed23bde12dd Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Feb 09 2016 17:59:46 +0000
Subject: [PATCH 284/1001] Let's use a more pythonic loop rather than relying on range()


---

diff --git a/hubs/widgets/pagure_pr.py b/hubs/widgets/pagure_pr.py
index 0e99f56..22b5e4b 100644
--- a/hubs/widgets/pagure_pr.py
+++ b/hubs/widgets/pagure_pr.py
@@ -81,26 +81,24 @@ template = jinja2.Template("""
           validator=validators.pagure_repo,
           help="Pagure repo name")
 def data(session, widget, repo):
-    repo = "pagure"
     url = '/'.join([pagure_url, repo, "pull-requests"])
     response = requests.get(url)
     data = response.json()
     total_req = data['total_requests']
     all_pr = list()
-    for i in range(0, total_req):
+    for request in data['requests']:
         pr_project_user = None
-        if data['requests'][i]['project']['parent']:
-            pr_project_user = \
-                data['requests'][i]['project']['user']['username']
+        if request['project']['parent']:
+            pr_project_user = request['project']['user']['username']
 
         all_pr.append(
             dict(
-                pr_project_name=data['requests'][i]['project']['name'],
+                pr_project_name=request['project']['name'],
                 pr_project_user=pr_project_user,
-                pr_id=data['requests'][i]['id'],
-                pr_title=data['requests'][i]['title'][:45],
-                pr_openedby=data['requests'][i]['user']['name'],
-                pr_assignee=data['requests'][i]['assignee'],
+                pr_id=request['id'],
+                pr_title=request['title'][:45],
+                pr_openedby=request['user']['name'],
+                pr_assignee=request['assignee'],
             )
         )
 

